Mailinglist Archive: opensuse-buildservice (157 mails)

< Previous Next >
Re: [opensuse-buildservice] Upgrade to 2.99 (look like a 2.3) breaks the obs server
  • From: "Dominig ar Foll (Intel OTC)" <dominig.arfoll@xxxxxxxxx>
  • Date: Wed, 04 Apr 2012 15:42:10 +0200
  • Message-id: <4F7C4FB2.1010804@fridu.net>

It is currently not possible to do it 100% automatic. But the upgrade should
be
documented in the README.UPDATERS file. It would be great if you can improve
that one if it is not sufficient (or make suggestions what could be handled
automatically).
I have created a Howto which list the actions to run. The README.Updater
provides more of less the info but the sequence is not clear and it
still include error with apache and lighthttpd mix up.

A) Simple

The simple one which would help is to add the package rubygem-rdoc in
the dependency.
Without it running rake as instructed will fail.

The message given at rpm install should point on the read me not give a
rake command which is incomplete and non-operation.

The missing packages could be installed during the upgrade.

B) More chalenging to automate

The second issue is the passage to apache.

The process described in the README.Updater provides the needed info. My
HowTo is just a repackage of these info in a simplified mode.

I had an error after the update with the Themes which ended by having
some images and icons pointed on cilrcular links. I guess that a check
must be done there but I had to get the old image and icons copied from
an older version of OBS. (my tar is included in my HowTo page).
I forgot to say, when you update via exchanging the 2.1 appliance with the
2.3 one, the
upgrade should update all data and run out-of-the-box without manual steps.
I have not tested that yet but as the model proposed until ow was to run
an update on the appliance, I guess that this error will be seend by
other users. Changing the appliance depending of your actuall
configuration is not that simple.

Please tell if that is not the case (But I dunno how to do that with the
meego version, I admit).

Once we will have tested that with our OBS Light server Appliance (which
simply a preconfigured OBS server Appliance)
we will post the result on this list.

Thanks.


-- Dominig
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >